%define pypi_name attrs
%define module_name attr

Name:           python-%{pypi_name}
Version:        25.1.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Classes Without Boilerplate
License:        MIT
URL:            https://pypi.org/project/attrs
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
attrs is an MIT-licensed Python package with class decorators that ease the
chores of implementing the most common attribute-related object protocols.

%package -n     python3-%{pypi_name}
Summary:        Attributes without boilerplate
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
attrs is an MIT-licensed Python package with class decorators that ease the
chores of implementing the most common attribute-related object protocols.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove undesired/optional test dependency on pympler
sed -i '/"pympler",/d' pyproject.toml

# Remove tests-mypy extra from tests-no-zope extra
sed -i "/attrs\[tests-mypy\]/d" pyproject.toml

# Compatibility with older hatchling < 1.26
sed -i "s/license-files/license-files.paths/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module_name} %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Mon Feb 10 2025 daviddavid <daviddavid> 25.1.0-1.mga10
+ Revision: 2146760
- new version: 25.1.0

* Tue Sep 10 2024 papoteur <papoteur> 24.2.0-1.mga10
+ Revision: 2094839
- new version 24.2.0

* Tue May 14 2024 papoteur <papoteur> 23.2.0-1.mga10
+ Revision: 2064116
- new version 23.2.0

* Tue Dec 26 2023 wally <wally> 23.1.0-4.mga10
+ Revision: 2021681
- another rebuild for py3.12 due to missing pkgs

* Sat Dec 09 2023 papoteur <papoteur> 23.1.0-3.mga10
+ Revision: 2016030
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 23.1.0-2.mga10
+ Revision: 2014976
- rebuild for py3.12

* Sat Sep 09 2023 papoteur <papoteur> 23.1.0-1.mga10
+ Revision: 1985433
- new 23.1.0

* Sun Jan 15 2023 wally <wally> 22.2.0-1.mga9
+ Revision: 1933530
- new version 22.2.0

* Mon Sep 05 2022 neoclust <neoclust> 22.1.0-1.mga9
+ Revision: 1884034
- New version 22.1.0

* Wed Mar 23 2022 umeabot <umeabot> 21.4.0-2.mga9
+ Revision: 1822191
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 21.4.0-1.mga9
+ Revision: 1772098
- new version 21.4.0
- rebuild for python3.10

* Fri Aug 27 2021 wally <wally> 21.2.0-1.mga9
+ Revision: 1742849
- new version 21.2.0

* Fri Mar 19 2021 neoclust <neoclust> 20.3.0-3.mga9
+ Revision: 1705002
- Rebuild against python 3.9

* Sun Mar 14 2021 wally <wally> 20.3.0-2.mga9
+ Revision: 1702550
- rebuild for python 3.9

* Tue Nov 10 2020 guillomovitch <guillomovitch> 20.3.0-1.mga8
+ Revision: 1644364
- new version 20.3.0

* Tue Sep 08 2020 guillomovitch <guillomovitch> 20.2.0-1.mga8
+ Revision: 1623673
- new version 20.2.0

* Tue Feb 18 2020 umeabot <umeabot> 19.3.0-2.mga8
+ Revision: 1538222
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 19.3.0-1.mga8
+ Revision: 1461202
- new version: 19.3.0

* Wed Sep 04 2019 wally <wally> 19.1.0-2.mga8
+ Revision: 1437285
- rebuild for python3.8
- drop python2 support

* Wed Apr 17 2019 wally <wally> 19.1.0-1.mga7
+ Revision: 1392191
- new version 19.1.0

* Sat Jan 12 2019 wally <wally> 18.2.0-1.mga7
+ Revision: 1355595
- new version 18.2.0

* Sat Jan 05 2019 wally <wally> 17.4.0-4.mga7
+ Revision: 1349528
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 17.4.0-3.mga7
+ Revision: 1288248
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 17.4.0-2.mga7
+ Revision: 1230442
- rename python-attrs to python2-attrs

* Tue Jan 02 2018 guillomovitch <guillomovitch> 17.4.0-1.mga7
+ Revision: 1189328
- new version 17.4.0

* Sat Aug 05 2017 pterjan <pterjan> 15.2.0-2.mga7
+ Revision: 1135316
- Rebuild for python 3.6

* Sat Mar 05 2016 philippem <philippem> 15.2.0-1.mga6
+ Revision: 986065
- fix file list
- imported package python-attrs

